Package org.eclipse.graphiti.datatypes

## Interface IDimension

All Known Subinterfaces:
  `IAdvancedDimension`, `IRectangle`

All Known Implementing Classes:
  `DimensionImpl`, `RectangleImpl`

    public interface IDimension

The Interface IDimension.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getHeight()` Gets the height.
`int` `getWidth()` Gets the width.
`void` `setHeight​(int height)` Sets the height.
`void` `setWidth​(int width)` Sets the width.

### Method Detail

#### getWidth

    int getWidth()

Gets the width.

Returns:
  the width of this dimension

#### setWidth

    void setWidth​(int width)

Sets the width.

Parameters:
  `width` - the new width of this dimension

#### getHeight

    int getHeight()

Gets the height.

Returns:
  the height of this dimension

#### setHeight

    void setHeight​(int height)

Sets the height.

Parameters:
  `height` - the new height of this dimension